Summary:	Rules for SpamAssassin
Name:		spamassassin-rules
Version:	3.4.2
%define subrel 1
Release:	%mkrel 1
License:	Apache License
Group:		Networking/Mail
URL:		http://spamassassin.org/
%define svnid 1840640
Source:     http://wwwftp.ciril.fr/pub/apache/spamassassin/source/Mail-SpamAssassin-rules-%{version}.r%{svnid}.tgz
Requires:	spamassassin > 3.4.1
Conflicts:	spamassassin < 3.3.0
BuildRequires:	spamassassin >= %{version}
BuildRequires:	gnupg
BuildArch:	noarch

%description
This package contains the default rules for SpamAssassin.

WARNING: These rules may be old at install time. This package is NOT
supported by %{_vendor}. You should immediately update your rules set as
explained in the official SpamAssassin documentation.

%prep
%setup -q -c -n %{name}-%{version}
# Not reproduceable
#sa-update -v -v -v -v --gpghomedir . --channel updates.spamassassin.org --updatedir .

%build

%install
install -d %{buildroot}%{_datadir}/spamassassin
install -m 0644 *.cf %{buildroot}%{_datadir}/spamassassin

%files
%attr(0644,root,root) %{_datadir}/spamassassin/*.cf


%changelog
* Sun Oct 21 2018 bcornec <bcornec> 3.4.2-1.1.mga6
+ Revision: 1323418
- Use a deterministic build with sources in svn instead of calling sa-updates (also build system doesn't have an internet access)
- Try to fix a build error on mga build servers
- update spamassassin-rules to 3.4.2 to help fix mga#23590

* Sun Dec 27 2015 oden <oden> 3.4.1-1.mga6
+ Revision: 915720
- 3.4.1

* Wed Oct 15 2014 umeabot <umeabot> 3.3.2-5.mga5
+ Revision: 748005
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.3.2-4.mga5
+ Revision: 689263
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 3.3.2-3.mga4
+ Revision: 518478
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 3.3.2-2.mga3
+ Revision: 382411
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Mar 01 2012 remmy <remmy> 3.3.2-1.mga2
+ Revision: 216435
+ rebuild (emptylog)

* Tue Feb 28 2012 remmy <remmy> 3.3.2-0.mga2
+ Revision: 215877
- Use the updates for the official release and not the development version.

* Sat May 21 2011 ahmad <ahmad> 3.3.1-0.20101015.2.mga2
+ Revision: 99996
- Replace a reference to Mandriva with Mageia

* Mon Jan 24 2011 ennael <ennael> 3.3.1-0.20101015.1.mga1
+ Revision: 37395
- monday commits...
- boostrap
- imported package spamassassin-rules


* Fri Oct 15 2010 Oden Eriksson <oeriksson@mandriva.com> 3.3.1-0.20101015.1mdv2011.0
+ Revision: 585786
- ahh, use sa-update instead...

* Fri Oct 15 2010 Oden Eriksson <oeriksson@mandriva.com> 3.3.1-0.1.r923257.1mdv2011.0
+ Revision: 585776
- only slightly newer rules. (r923257)

* Sun Aug 01 2010 Thomas Spuhler <tspuhler@mandriva.org> 3.3.1-0.1.r923114.2mdv2011.0
+ Revision: 564162
- Increased release for rebuild

  + Luis Daniel Lucio Quiroz <dlucio@mandriva.org>
    - fix requires to warant SA sintax
    - Update to snap 923114

* Wed Apr 28 2010 Oden Eriksson <oeriksson@mandriva.com> 3.3.0-0.1.r901671.2mdv2010.1
+ Revision: 540449
- add a disclamier of liability, somewhat...

* Sun Jan 24 2010 Oden Eriksson <oeriksson@mandriva.com> 3.3.0-0.1.r901671.1mdv2010.1
+ Revision: 495502
- use newer rules, 3.3.0 was quite old...

* Sun Jan 24 2010 Oden Eriksson <oeriksson@mandriva.com> 3.3.0-0.1mdv2010.1
+ Revision: 495487
- import spamassassin-rules


* Sun Jan 24 2010 Oden Eriksson <oeriksson@mandriva.com> 3.3.0-0.1mdv2010.0
- initial Mandriva package
